package com.ef_prime.rflow;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.io.File;
import java.io.Serializable;

import javax.swing.text.AttributeSet;
import javax.swing.text.MutableAttributeSet;
import javax.swing.text.SimpleAttributeSet;
import javax.swing.text.StyleConstants;

public class Prefs implements Serializable{
	
	public static File WORKING_DIRECTORY = new File(Constants.getPath("")); //$NON-NLS-1$
	//public static SizeLimitVector<String> MRU_LIST = new SizeLimitVector<String>(5);
	
	public static final int CONSOLE_CHAR_MAX = 65000;
	
	//public static final String NEWLINE = "\n";
	public static final Font CODE_FONT;
	public static final Font CODE_FONT_12;
	
	public static final AttributeSet SIMPLE_ATTR = new SimpleAttributeSet();
	public static final MutableAttributeSet INPUT_ATTR;
	public static final MutableAttributeSet OUTPUT_ATTR;
	public static final MutableAttributeSet ERROR_ATTR;
	
	public static final int CHAR_PER_TAB = 4;
	
	public static final MutableAttributeSet CODE_ATTR = new SimpleAttributeSet();
	
	/*----------------------------UI--------------------------------*/
	public static final Dimension BUTTON_SIZE = new Dimension(100, 25);
	
	static{
		//コードのフォント
		/*
		String[] fonts = GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
		int index = Arrays.binarySearch(fonts, "Courier New");
		String fontName = (index > 0)?fonts[index]:"Helvetica";
		CODE_FONT = new Font(fontName, Font.PLAIN, 13);
		CODE_FONT_12 = new Font(fontName, Font.PLAIN, 12);
		*/
		CODE_FONT = new Font("Monospaced", Font.PLAIN, 12); //$NON-NLS-1$
		CODE_FONT_12 = new Font("Monospaced", Font.PLAIN, 12); //$NON-NLS-1$
		
		INPUT_ATTR = new SimpleAttributeSet();
		StyleConstants.setForeground(INPUT_ATTR, Color.RED);

		OUTPUT_ATTR = new SimpleAttributeSet();
		StyleConstants.setForeground(OUTPUT_ATTR, new Color(0,0,128));
		
		ERROR_ATTR = new SimpleAttributeSet();
		//StyleConstants.setForeground(ERROR_ATTR, Color.BLUE);
		
		StyleConstants.setLeftIndent(CODE_ATTR, 3.0f);
		StyleConstants.setRightIndent(CODE_ATTR, 3.0f);
		//StyleConstants.setSpaceAbove(CODE_ATTR, 3.0f);
		//StyleConstants.setSpaceBelow(CODE_ATTR, 3.0f);
	}
	
	
}
