package com.ef_prime.rflow.console;

public interface CommandListener {
	/** コマンドの処理が開始された */
	void commandStart(Command c);
	/** コマンドが正常終了 */
	void commandFinished(Command c);
	/** コマンドが中断された */
	void commandCanceled(Command c);
	/** コマンドが実行中にエラーが発生した */
	void errorOccurred(Command c);
}
