package com.ef_prime.rflow.console;

import java.util.Vector;

public class CompoundCommand extends AbstractCommand{

	private Vector<Command> commands = new Vector<Command>();
	
	public CompoundCommand() {
	}
	
	public CompoundCommand(Command parent){
		setParent(parent);
	}
	
	public boolean add(Command o) {
		o.setParent(this);
		return commands.add(o);
	}

	public void add(int index, Command element) {
		element.setParent(this);
		commands.add(index, element);
	}

	public Command remove(int index) {
		return commands.remove(index);
	}

	public boolean remove(Object o) {
		return commands.remove(o);
	}

	public boolean hasCommand() {
		return false;
	}
	
	public String getCommand() {
		return null;
	}

	public int getCommandCount() {
		return commands.size();
	}

	public Command[] getCommands() {
		return commands.toArray(new Command[0]);
	}


	public boolean print() {
		return false;
	}

	
}
