package com.ef_prime.rflow.flow;

import javax.swing.DesktopManager;
import javax.swing.JComponent;
import javax.swing.JInternalFrame;

public class FlowDesktopManager implements DesktopManager{

	private DesktopManager desktopManager;
	
	public FlowDesktopManager(DesktopManager desktopManager){
		this.desktopManager = desktopManager;
	}

	public void beginDraggingFrame(JComponent f) {
		//System.out.println("begin drag");
		//if(f instanceof SubflowFrame)
		//	((SubflowFrame)f).bar();
		desktopManager.beginDraggingFrame(f);
	}

	public void dragFrame(JComponent f, int newX, int newY) {
		//System.out.println("drag");
//		if(f instanceof SubflowFrame)
//			((SubflowFrame)f).bar();
		desktopManager.dragFrame(f, newX, newY);
	}
	
	public void endDraggingFrame(JComponent f) {
		//System.out.println("end drag");
//		if(f instanceof SubflowFrame)
//			((SubflowFrame)f).unbar();
		desktopManager.endDraggingFrame(f);
	}
	
	
	public void activateFrame(JInternalFrame f) {
		desktopManager.activateFrame(f);
	}


	public void beginResizingFrame(JComponent f, int direction) {
		desktopManager.beginResizingFrame(f, direction);
	}

	public void closeFrame(JInternalFrame f) {
		desktopManager.closeFrame(f);
	}

	public void deactivateFrame(JInternalFrame f) {
		desktopManager.deactivateFrame(f);
	}

	public void deiconifyFrame(JInternalFrame f) {
		//Point p = f.getDesktopIcon().getLocation();
		desktopManager.deiconifyFrame(f);
		//f.setLocation(p);
	}


	public void endResizingFrame(JComponent f) {
		desktopManager.endResizingFrame(f);
	}

	public void iconifyFrame(JInternalFrame f) {
		//Point p = f.getLocation();
		desktopManager.iconifyFrame(f);
		//f.getDesktopIcon().setLocation(p);
	}

	public void maximizeFrame(JInternalFrame f) {
		desktopManager.maximizeFrame(f);
	}

	public void minimizeFrame(JInternalFrame f) {
		desktopManager.minimizeFrame(f);
	}

	public void openFrame(JInternalFrame f) {
		desktopManager.openFrame(f);
	}

	public void resizeFrame(JComponent f, int newX, int newY, int newWidth, int newHeight) {
		desktopManager.resizeFrame(f, newX, newY, newWidth, newHeight);
	}

	public void setBoundsForFrame(JComponent f, int newX, int newY, int newWidth, int newHeight) {
		desktopManager.setBoundsForFrame(f, newX, newY, newWidth, newHeight);
	}
}
