package com.ef_prime.rflow.flow;

import javax.swing.Icon;

import com.ef_prime.rflow.FileResource;
import com.ef_prime.rflow.util.ObjectUtilities;

public abstract class FlowError {
	
	public static enum ErrorType{
		BOX_CONNECTION,
		SYNTAX;
	}
	
	public abstract String getMessage();
	public abstract ErrorType getType();
	public Icon getIcon(){
		return FileResource.ERROR;
	}
	
	@Override
	public int hashCode() {
		return getMessage().hashCode();
	}
	
	@Override
	public boolean equals(Object obj) {
		if (obj instanceof FlowError) {
			FlowError err = (FlowError) obj;
			return ObjectUtilities.equals(getMessage(), err.getMessage())
				&& getType() == err.getType();
		}
		return false;
	}
}
