package com.ef_prime.rflow.flow;


interface GraphElements {

	static final String RFLOW = "rflow"; //$NON-NLS-1$
	static final String VERSION = "version"; //$NON-NLS-1$
	
	/*---------------------------Graph------------------------------*/
	static final String GRAPH_FILE_VERSION = "0.2"; //$NON-NLS-1$
	static final String GRAPH = "graph"; //$NON-NLS-1$
	
	static final String FLOWSETTING = "setting"; //$NON-NLS-1$

	
	//static final String BOX = "box";
	static final String WIDTH = "width"; //$NON-NLS-1$
	static final String HEIGHT = "height"; //$NON-NLS-1$
	
	static final String LOCATION_TYPE = "locationtype"; //$NON-NLS-1$
	static final String LOCATION_TYPE_ABSOLUTE = "a"; //$NON-NLS-1$
	static final String LOCATION_TYPE_RELATIVE = "r"; //$NON-NLS-1$
	
	static final String LOCATION_OFFSET_X = "offsetx"; //$NON-NLS-1$
	static final String LOCATION_OFFSET_Y = "offsety"; //$NON-NLS-1$

	
	//node
	static final String NODE = "node"; //$NON-NLS-1$
	static final String ID = "id"; //$NON-NLS-1$
	static final String X = "x"; //$NON-NLS-1$
	static final String Y = "y"; //$NON-NLS-1$
	static final String TITLE = "title"; //$NON-NLS-1$
	static final String COMMAND = "command"; //$NON-NLS-1$
	static final String OPTION = "option"; //$NON-NLS-1$
	static final String TYPE = "type"; //$NON-NLS-1$
	static final String SUBFLOW = "subflow"; //$NON-NLS-1$
	//node.property
	static final String PROPERTY = "property"; //$NON-NLS-1$
	static final String ENTRY = "entry"; //$NON-NLS-1$
	static final String KEY = "key"; //$NON-NLS-1$
	static final String PTITLE = "ptitle"; //$NON-NLS-1$
	//static final String SHAPE = "shape";
	static final String COMMENT = "comment"; //$NON-NLS-1$
	
	//edge
	static final String EDGE = "edge"; //$NON-NLS-1$
	static final String FROM = "from"; //$NON-NLS-1$
	static final String TO = "to"; //$NON-NLS-1$
	
	//state
	//static final String STATE = "state";
	static final String CACHE = "cache"; //$NON-NLS-1$
	static final String FILE = "file"; //$NON-NLS-1$
	static final String HASH = "hash"; //$NON-NLS-1$
	static final String DATE = "date"; //$NON-NLS-1$
	static final String SIZE = "size"; //$NON-NLS-1$
	static final String GRAY = "gray"; //$NON-NLS-1$
	
	

	static final String SHAPE = "shape"; //$NON-NLS-1$
}
