package com.ef_prime.rflow.object;



public abstract class ObjectAction {

	/**
	 * アクション名
	 * @return
	 */
	public abstract String getActionName();
	
	/**
	 * RObjectに対してアクション可能か
	 * @param robj
	 * @return
	 */
	public abstract boolean isActionEnable(RObject[] robj);
	
	/**
	 * アクション
	 * @param robj
	 */
	public abstract void action(RObject[] robj);
	
}
