package com.ef_prime.rflow.resource;

import java.io.File;
import java.io.PrintStream;
import java.util.Enumeration;
import java.util.Locale;
import java.util.ResourceBundle;

public class DTDCreator {

	public static void main(String[] args)throws Exception
	{
        Locale.setDefault(Locale.ENGLISH);
        Locale[] ary = Messages.getLocales();
        
        for(Locale locale : ary)
        {
			
			PrintStream out = new PrintStream(new File("resource." + locale.getLanguage()),"UTF-8"); //$NON-NLS-1$ //$NON-NLS-2$
	
	        
	        ResourceBundle bundle = ResourceBundle.getBundle(
					"com.ef_prime.rflow.resource.messages",locale); //$NON-NLS-1$
	
		     for (Enumeration<String> e = bundle.getKeys() ; e.hasMoreElements() ;) {
	
		    	 String key = e.nextElement();
		         String value = bundle.getString(key);
		         value = value.replace("\r", ""); //$NON-NLS-1$ //$NON-NLS-2$
		         value = value.replace("\n", ""); //$NON-NLS-1$ //$NON-NLS-2$
		         value = value.replace("&", "&amp;"); //$NON-NLS-1$ //$NON-NLS-2$
		         value = value.replace("'", "&apos;"); //$NON-NLS-1$ //$NON-NLS-2$
		         value = value.replace("\"", "&quot;"); //$NON-NLS-1$ //$NON-NLS-2$
		         value = value.replace("<", "&lt;"); //$NON-NLS-1$ //$NON-NLS-2$
		         value = value.replace(">", "&gt;"); //$NON-NLS-1$ //$NON-NLS-2$
		         
				out.println("<!ENTITY " + key + " \"" + value + "\">"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
		     }
        }
	}

}
