package com.ef_prime.rflow.tool;

import java.awt.datatransfer.DataFlavor;
import java.lang.reflect.Array;

/**
 * transfer MutableTreeNode[]
 * all nodes in this array must belong to same parent.
 *
 */
public class MutableTreeNodeFlavor extends DataFlavor{
	
	private static MutableTreeNodeFlavor instance;
	
	private MutableTreeNodeFlavor(){
		super(Array.class, "MutableTreeNode"); //$NON-NLS-1$
	}
	
	public static MutableTreeNodeFlavor getInstance(){
		if(instance == null)
			instance = new MutableTreeNodeFlavor();
		return instance;
	}
}
