package com.ef_prime.rflow.tool;

import com.ef_prime.rflow.resource.Messages;
import com.ef_prime.rflow.util.MyFileFilter;

public class RflowFileFilterFactory {	
	public static MyFileFilter createRFileFilter(){
		MyFileFilter filter = new MyFileFilter();
		filter.addExtention("R"); //$NON-NLS-1$
		filter.setDescription(Messages.getString("RflowFileFilterFactory.rsource")); //$NON-NLS-1$
		return filter;
	}
	
	public static MyFileFilter createRflowFileFilter(){
		MyFileFilter filter = new MyFileFilter();
		filter.addExtention("rflow"); //$NON-NLS-1$
		filter.setDescription(Messages.getString("RflowFileFilterFactory.rflow")); //$NON-NLS-1$
		return filter;
	}
	/*
	public static MyFileFilter createCsvFileFilter(){
		MyFileFilter filter = new MyFileFilter();
		filter.addExtention("csv");
		filter.setDescription("CSVファイル(*.csv)");
		return filter;
	}
	
	public static MyFileFilter createHtmlFileFilter(){
		MyFileFilter filter = new MyFileFilter();
		filter.addExtention("html");
		filter.addExtention("htm");
		filter.setDescription("HTMLファイル(*.html)");
		filter.setDelegateExtension("html");
		
		return filter;
	}
	
	public static MyFileFilter createXmlFileFilter(){
		MyFileFilter filter = new MyFileFilter();
		filter.addExtention("xml");
		filter.setDescription("XMLファイル(*.xml)");
		return filter;
	}
	*/
}
