package com.ef_prime.rflow.util;

import com.ef_prime.rflow.Constants;

public class CompoundRObjFilter extends RObjFilter{

	private RObjFilter[] filters;
	
	public CompoundRObjFilter(RObjFilter[] filters){
		this.filters = filters;
	}
	
	public String getEvalFormula(String obj) {
		if(filters.length < 1)return Constants.TRUE;
		String formula = ""; //$NON-NLS-1$
		for(int i = 0; i < filters.length; i++){
			formula += filters[i].getEvalFormula(obj) + filterType;
		}
		formula = formula.substring(0, formula.length()-filterType.length());
		return formula;
	}


}
