package com.ef_prime.rflow.util;

import javax.swing.tree.TreeNode;
import javax.swing.tree.TreePath;

public class TreeUtils {

	public static boolean isSiblings(TreeNode[] nodes){
		if(nodes.length < 2)return true;
		int i = 0;
		TreeNode parent = nodes[i++].getParent();
		for(;i < nodes.length; i++){
			if(!parent.equals(nodes[i].getParent()))
				return false;
		}
		return true;
	}
	
	public static boolean isSiblings(TreePath[] paths){
		if(paths.length < 2)return true;
		int i = 0;
		Object parent = paths[i++].getParentPath().getLastPathComponent();
		for(;i < paths.length; i++){
			if(!parent.equals(paths[i].getParentPath().getLastPathComponent()))
				return false;
		}
		return true;
	}
}
