    LangString "MUI_TEXT_WELCOME_INFO_TITLE" ${LANG_ENGLISH} "Welcome to the $(^NameDA) Setup Wizard"
  #LangString "MUI_TEXT_WELCOME_INFO_TEXT" ${LANG_ENGLISH} "This wizard will guide you through the installation of $(^NameDA).$\r$\n$\r$\nIt is recommended that you close all other applications before starting Setup. This will make it possible to update relevant system files without having to reboot your computer.$\r$\n$\r$\nIf you have an earlier version of R AnalyticFlow on your system, please uninstall it before proceeding.$\r$\n$\r$\n$_CLICK"
  LangString "MUI_TEXT_WELCOME_INFO_TEXT" ${LANG_ENGLISH} "This wizard will guide you through the installation of $(^NameDA).$\r$\n$\r$\nIt is recommended that you close all other applications before starting Setup. This will make it possible to update relevant system files without having to reboot your computer.$\r$\n$\r$\n$_CLICK"
  
  LangString "MUI_TEXT_LICENSE_TITLE" ${LANG_ENGLISH} "License Agreement"  
  LangString "MUI_TEXT_LICENSE_SUBTITLE" ${LANG_ENGLISH} "Please review the license terms before installing $(^NameDA)."
  LangString "MUI_INNERTEXT_LICENSE_TOP" ${LANG_ENGLISH} "Press Page Down to see the rest of the agreement."
  LangString "MUI_INNERTEXT_LICENSE_BOTTOM" ${LANG_ENGLISH} "If you accept the terms of the agreement, click I Agree to continue. You must accept the agreement to install $(^NameDA)."
  LangString "MUI_INNERTEXT_LICENSE_BOTTOM_CHECKBOX" ${LANG_ENGLISH} "If you accept the terms of the agreement, click the check box below. You must accept the agreement to install $(^NameDA). $_CLICK"
  LangString "MUI_INNERTEXT_LICENSE_BOTTOM_RADIOBUTTONS" ${LANG_ENGLISH} "If you accept the terms of the agreement, select the first option below. You must accept the agreement to install $(^NameDA). $_CLICK"
  
  LangString "MUI_TEXT_COMPONENTS_TITLE" ${LANG_ENGLISH} "Choose Components"
  LangString "MUI_TEXT_COMPONENTS_SUBTITLE" ${LANG_ENGLISH} "Choose which features of $(^NameDA) you want to install."
  LangString "MUI_INNERTEXT_COMPONENTS_DESCRIPTION_TITLE" ${LANG_ENGLISH} "Description"
  !ifndef NSIS_CONFIG_COMPONENTPAGE_ALTERNATIVE
    LangString "MUI_INNERTEXT_COMPONENTS_DESCRIPTION_INFO" ${LANG_ENGLISH} "Position your mouse over a component to see its description."
  !else
    LangString "MUI_INNERTEXT_COMPONENTS_DESCRIPTION_INFO" ${LANG_ENGLISH} "Select a component to see its description."
  !endif
  
  LangString "MUI_TEXT_DIRECTORY_TITLE" ${LANG_ENGLISH} "Choose Install Location"
  LangString "MUI_TEXT_DIRECTORY_SUBTITLE" ${LANG_ENGLISH} "Choose the folder in which to install $(^NameDA)."
  
  LangString "MUI_TEXT_INSTALLING_TITLE" ${LANG_ENGLISH} "Installing"
  LangString "MUI_TEXT_INSTALLING_SUBTITLE" ${LANG_ENGLISH} "Please wait while $(^NameDA) is being installed."
  
  LangString "MUI_TEXT_FINISH_TITLE" ${LANG_ENGLISH} "Installation Complete"
  LangString "MUI_TEXT_FINISH_SUBTITLE" ${LANG_ENGLISH} "Setup was completed successfully."
  
  LangString "MUI_TEXT_ABORT_TITLE" ${LANG_ENGLISH} "Installation Aborted"
  LangString "MUI_TEXT_ABORT_SUBTITLE" ${LANG_ENGLISH} "Setup was not completed successfully."
  
  LangString "MUI_BUTTONTEXT_FINISH" ${LANG_ENGLISH} "&Finish"
  LangString "MUI_TEXT_FINISH_INFO_TITLE" ${LANG_ENGLISH} "Completing the $(^NameDA) Setup Wizard"
  LangString "MUI_TEXT_FINISH_INFO_TEXT" ${LANG_ENGLISH} "$(^NameDA) has been installed on your computer.$\r$\n$\r$\nClick Finish to close this wizard."
  LangString "MUI_TEXT_FINISH_INFO_REBOOT" ${LANG_ENGLISH} "Your computer must be restarted in order to complete the installation of $(^NameDA). Do you want to reboot now?"
  LangString "MUI_TEXT_FINISH_REBOOTNOW" ${LANG_ENGLISH} "Reboot now"
  LangString "MUI_TEXT_FINISH_REBOOTLATER" ${LANG_ENGLISH} "I want to manually reboot later"
  LangString "MUI_TEXT_FINISH_RUN" ${LANG_ENGLISH} "&Run $(^NameDA)"
  LangString "MUI_TEXT_FINISH_SHOWREADME" ${LANG_ENGLISH} "&Show Readme"
  
  LangString "MUI_TEXT_STARTMENU_TITLE" ${LANG_ENGLISH} "Choose Start Menu Folder"
  LangString "MUI_TEXT_STARTMENU_SUBTITLE" ${LANG_ENGLISH} "Choose a Start Menu folder for the $(^NameDA) shortcuts."
  LangString "MUI_INNERTEXT_STARTMENU_TOP" ${LANG_ENGLISH} "Select the Start Menu folder in which you would like to create the program's shortcuts. You can also enter a name to create a new folder."
  LangString "MUI_INNERTEXT_STARTMENU_CHECKBOX" ${LANG_ENGLISH} "Do not create shortcuts"
  
  LangString "MUI_TEXT_ABORTWARNING" ${LANG_ENGLISH} "Are you sure you want to quit $(^Name) Setup?"
  
  
  LangString "MUI_UNTEXT_WELCOME_INFO_TITLE" ${LANG_ENGLISH} "Welcome to the $(^NameDA) Uninstall Wizard"
  LangString "MUI_UNTEXT_WELCOME_INFO_TEXT" ${LANG_ENGLISH} "This wizard will guide you through the uninstallation of $(^NameDA).$\r$\n$\r$\nBefore starting the uninstallation, make sure $(^NameDA) is not running.$\r$\n$\r$\n$_CLICK"
  
  LangString "MUI_UNTEXT_CONFIRM_TITLE" ${LANG_ENGLISH} "Uninstall $(^NameDA)"
  LangString "MUI_UNTEXT_CONFIRM_SUBTITLE" ${LANG_ENGLISH} "Remove $(^NameDA) from your computer."
  
  LangString "MUI_UNTEXT_LICENSE_TITLE" ${LANG_ENGLISH} "License Agreement"  
  LangString "MUI_UNTEXT_LICENSE_SUBTITLE" ${LANG_ENGLISH} "Please review the license terms before uninstalling $(^NameDA)."
  LangString "MUI_UNINNERTEXT_LICENSE_BOTTOM" ${LANG_ENGLISH} "If you accept the terms of the agreement, click I Agree to continue. You must accept the agreement to uninstall $(^NameDA)."
  LangString "MUI_UNINNERTEXT_LICENSE_BOTTOM_CHECKBOX" ${LANG_ENGLISH} "If you accept the terms of the agreement, click the check box below. You must accept the agreement to uninstall $(^NameDA). $_CLICK"
  LangString "MUI_UNINNERTEXT_LICENSE_BOTTOM_RADIOBUTTONS" ${LANG_ENGLISH} "If you accept the terms of the agreement, select the first option below. You must accept the agreement to uninstall $(^NameDA). $_CLICK"
  
  LangString "MUI_UNTEXT_COMPONENTS_TITLE" ${LANG_ENGLISH} "Choose Components"
  LangString "MUI_UNTEXT_COMPONENTS_SUBTITLE" ${LANG_ENGLISH} "Choose which features of $(^NameDA) you want to uninstall."
  
  LangString "MUI_UNTEXT_DIRECTORY_TITLE" ${LANG_ENGLISH} "Choose Uninstall Location"
  LangString "MUI_UNTEXT_DIRECTORY_SUBTITLE" ${LANG_ENGLISH} "Choose the folder from which to uninstall $(^NameDA)."
  
  LangString "MUI_UNTEXT_UNINSTALLING_TITLE" ${LANG_ENGLISH} "Uninstalling"
  LangString "MUI_UNTEXT_UNINSTALLING_SUBTITLE" ${LANG_ENGLISH} "Please wait while $(^NameDA) is being uninstalled."
    
  LangString "MUI_UNTEXT_FINISH_TITLE" ${LANG_ENGLISH} "Uninstallation Complete"
  LangString "MUI_UNTEXT_FINISH_SUBTITLE" ${LANG_ENGLISH} "Uninstall was completed successfully."
  
  LangString "MUI_UNTEXT_ABORT_TITLE" ${LANG_ENGLISH} "Uninstallation Aborted"
  LangString "MUI_UNTEXT_ABORT_SUBTITLE" ${LANG_ENGLISH} "Uninstall was not completed successfully."
  
  LangString "MUI_UNTEXT_FINISH_INFO_TITLE" ${LANG_ENGLISH} "Completing the $(^NameDA) Uninstall Wizard"
  LangString "MUI_UNTEXT_FINISH_INFO_TEXT" ${LANG_ENGLISH} "$(^NameDA) has been uninstalled from your computer.$\r$\n$\r$\nClick Finish to close this wizard."
  LangString "MUI_UNTEXT_FINISH_INFO_REBOOT" ${LANG_ENGLISH} "Your computer must be restarted in order to complete the uninstallation of $(^NameDA). Do you want to reboot now?"
  
  LangString "MUI_UNTEXT_ABORTWARNING" ${LANG_ENGLISH} "Are you sure you want to quit $(^Name) Uninstall?"
