package com.ef_prime.rflow.flow;

import javax.swing.Icon;

import com.ef_prime.rflow.FileResource;
import com.ef_prime.rflow.resource.Messages;

public class BoxConnectionError extends FlowError{
	
	public String getMessage() {
		return Messages.getString("Error.box") + "\n"+ Messages.getString("Error.unconnected_box"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
	}
	
	@Override
	public ErrorType getType() {
		return ErrorType.BOX_CONNECTION;
	}
	
	@Override
	public Icon getIcon() {
		return FileResource.WARNING;
	}
}
