package com.ef_prime.rflow.flow;

import com.ef_prime.rflow.resource.Messages;

public class SyntaxError extends FlowError{
	
	private String message;
	
	public SyntaxError(String message){
		this.message = message;
	}
	
	public String getMessage() {
		return Messages.getString("Error.syntax")+"\n" + message; //$NON-NLS-1$ //$NON-NLS-2$
	}
	
	@Override
	public ErrorType getType() {
		return ErrorType.SYNTAX;
	}
}
