package com.ef_prime.rflow.flow.rendering;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.JComponent;

import com.ef_prime.rflow.flow.FlowState;

import edu.uci.ics.jung.graph.Vertex;
import edu.uci.ics.jung.visualization.DefaultGraphLabelRenderer;

public class FlowGraphLabelRenderer extends DefaultGraphLabelRenderer{

	//private FlowState state;
	//private static final Color VERTEX_LABEL_PAINT_LIGHT = new Color(0.7f,0.7f,0.7f);
	
	public FlowGraphLabelRenderer(FlowState state){
		super(Color.BLUE, Color.CYAN, false);
		//this.state = state;
	}

	@Override
	public Component getGraphLabelRendererComponent(JComponent vv, Object value, Font font, boolean isSelected, Vertex vertex) 
	{
//		if(state.isFlowSelected() && !state.getSelectionNodeFlow().contains(vertex)){
//			setForeground(VERTEX_LABEL_PAINT_LIGHT);
//		}else{
			setForeground(vv.getForeground());
//		}
        if(isSelected) setForeground(pickedVertexLabelColor);
        setBackground(vv.getBackground());
        if(font != null) {
            setFont(font);
        } else {
            setFont(vv.getFont());
        }
        setIcon(null);
        setBorder(noFocusBorder);
        setValue(value); 
        return this;
	}
}
