package com.ef_prime.rflow.node;

import com.ef_prime.rflow.console.Command;
import com.ef_prime.rflow.exception.IncompatibleCommandException;
import com.ef_prime.rflow.flow.rendering.NodeRenderInterface;

public interface NodeModel extends NodeRenderInterface{
	
	String getCommand();
	
	Command getCommandObject();
	
	String getAllCommand();
	
	/**
	 * add newline to end of command if it doesn't end with newline
	 * @return
	 */
	String getCommandNewline();

	void setCommand(String command) throws IncompatibleCommandException;

	String getDefaultTitle();
	
	boolean isEditable();
	
	boolean isSubflow();
	boolean isOpenSubflow();
	
	boolean hasCommand();

	NodeModel copy();
}