package com.ef_prime.rflow.node;

import java.awt.Dimension;

import javax.swing.JPanel;
import javax.swing.border.Border;
import javax.swing.border.EmptyBorder;

import com.ef_prime.rflow.exception.InvalidOptionException;
import com.ef_prime.rflow.resource.Messages;

public abstract class NodeOptionPanel extends JPanel{
	
	protected static final Dimension DEFAULT_LABEL_SIZE = new Dimension(50,20);
	protected static final Dimension HEIGHTLIMIT_LABEL_SIZE = new Dimension(1000,20);
	protected static final int DEFAULT_SPACE = 20;
	protected static final Border DEFAULT_BORDER = new EmptyBorder(10,10,10,10);
	
	
	public abstract NodeModel getModel() throws InvalidOptionException;
	
	public String getTitle(){
		return Messages.getString("DefaultNodeModelController.setting"); //$NON-NLS-1$
	}
	//protected abstract void setModel(NodeModel model);
	
	public void initFocus(){
		
	}
	
	protected interface UpdateModel{
		void updateModel();
	}
}
