package com.ef_prime.rflow.node.base;


public enum LoopType {
	FOR("for", true), //$NON-NLS-1$
	WHILE("while", true), //$NON-NLS-1$
	REPEAT("repeat", false), //$NON-NLS-1$
	//IF("if", true)
	;
	
	private String code;
	private boolean isCondition;
	
	private LoopType(String code, boolean isCondition){
		this.code = code;
		this.isCondition = isCondition;
	}
	
	public String getCode() {
		return code;
	}
	
	public boolean isCondition() {
		return isCondition;
	}
	
	/**
	 *  
	 * @param s
	 * @return
	 */
	public static LoopType toLoopType(String code){
		for(LoopType type : values()){
			if(type.getCode().equals(code))return type;
		}
		throw new RuntimeException("parse failed."); //$NON-NLS-1$
	}
}
