package com.ef_prime.rflow.node.base;

import java.util.Properties;

import com.ef_prime.rflow.exception.ModelCreationFailedException;
import com.ef_prime.rflow.flow.ViewLayout;
import com.ef_prime.rflow.node.DefaultNodeModelController;
import com.ef_prime.rflow.node.NodeModel;

public class SubflowNodeModelController extends DefaultNodeModelController {
	
	public SubflowNodeModelController(){
	}
	
	
	public Class<? extends NodeModel> getModelClass() {
		return SubflowNodeModel.class;
	}

	public String getModelName() {
		return "サブフロー";
	}
	
	public Properties getOptionProperties(NodeModel model) {
		return null;
	}
	
	public NodeModel createModel(Properties properties, String command, ViewLayout[] subflows) 
	throws ModelCreationFailedException 
	{
		if(subflows.length < 1)
			throw new ModelCreationFailedException();
		return new SubflowNodeModel(subflows[0]);
	}
	
	@Override
	public boolean isAddable() {
		return false;
	}
	
	@Override
	public boolean isNodeOptionPanel() {
		return false;
	}
}
