package com.ef_prime.rflow.tool;

import javax.swing.GrayFilter;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.SwingUtilities;

import com.ef_prime.rflow.FileResource;
import com.ef_prime.rflow.console.BusyListener;


public class BusyLabel extends JLabel implements BusyListener{
	
	private final Icon notBusy = 
		new ImageIcon(GrayFilter.createDisabledImage(FileResource.DESKTOP_16.getImage()));
	private final Icon Busy = FileResource.DESKTOP_16;
	
	public BusyLabel(){
		setIcon(notBusy);
	}
	
	public void busyStateChanged(final int which) {
    	//try {
			SwingUtilities.invokeLater(new Runnable(){
				public void run() {
					if(which == BusyListener.BUSY){
						setIcon(Busy);
					}else{
						setIcon(notBusy);
					}
				}
			});
		/*} catch (InterruptedException e) {
			if(Rflow.DEBUG > 0)e.printStackTrace();
		} catch (InvocationTargetException e) {
			if(Rflow.DEBUG > 0)e.printStackTrace();
		}*/
	}
}
