package com.ef_prime.rflow.tool;

import javax.swing.JTextField;
import javax.swing.text.Document;

import com.ef_prime.rflow.util.SwingUtils;

public class RflowTextField extends JTextField{

	

	public RflowTextField() {
		super();
		init();
	}

	public RflowTextField(Document doc, String text, int columns) {
		super(doc, text, columns);
		init();
	}

	public RflowTextField(int columns) {
		super(columns);
		init();
	}

	public RflowTextField(String text, int columns) {
		super(text, columns);
		init();
	}

	public RflowTextField(String text) {
		super(text);
		init();
	}

	private void init(){
		SwingUtils.setDefaultTextComponentOption(this);
	}
}
