package com.ef_prime.rflow.xml;


public interface XMLWriter {

	  public void writeStartElement(String localName) throws XMLException;

	  public void writeEmptyElement(String localName) throws XMLException;
	  
	  public void writeEndElement() throws XMLException;

	  public void writeEndDocument() throws XMLException;
	  
	  public void close() throws XMLException;
	  
	  public void writeAttribute(String localName, String value) throws XMLException;

	  public void writeDTD(String dtd) throws XMLException;

	  public void writeStartDocument(String encoding, String version) throws XMLException;

	  public void writeCharacters(String text) throws XMLException;
	  
}
