package com.ef_prime.rflow.xml;

import java.io.BufferedWriter;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;

public class XMLWriterFactory {
	public static XMLWriter createUTF8XMLWriter(OutputStream out){
		try {
			return new DefaultXMLWriter(new BufferedWriter(
					new OutputStreamWriter(out, "UTF-8"))); //$NON-NLS-1$
		} catch (UnsupportedEncodingException e) {
			return null;
		}
	}
}
